#ifndef FM_GPIO_H_
#define FM_GPIO_H_

#include "HD_GPIO.h"
#include "stdio.h"

typedef enum _pwrCtrl{
    J1_PwrCtrl = 1,
    J2_PwrCtrl,
    J3_PwrCtrl,
    J4_PwrCtrl,
    J5_PwrCtrl,
    J6_PwrCtrl,
    J7_PwrCtrl,
    J8_PwrCtrl,
    J9_PwrCtrl,
    Android_PwrCtrl,
}pwrCtrl;

typedef enum _pwrCtrlState{
    PwrCtrlClose = 0,
    PwrCtrlOpen
}pwrCtrlState;

void FM_GPIO_Init(void);
void feedDog(void);
void writePwrCtrlState(uint8_t type, uint8_t State);
uint8_t readPwrCtrlState(uint8_t type);
void startResetAndroidModule(void);
void stopResetAndroidModule(void);

#endif